#include <iostream>
#include <vector>
using namespace std;

int main() {

	int n;
	cin >> n;

	vector<int> a;
	vector<int> b;

	if (n % 2 == 0) {
		for (int i = 1; i <= n; i++)
		{
			if (i % 2 == 1) {
				a.push_back(i);
				a.push_back(i + n);
			}

			else {
				b.push_back(i);
				b.push_back(i + n);
			}
		}
	}
	else {
		for (int i = 1; i <= n - 1; i++) {
			if (i % 2 == 1) {
				a.push_back(i);
				a.push_back(2 * n - i + 1);
			}

			else {
				b.push_back(i);
				b.push_back(2 * n - i + 1);
			}
		}

		a.push_back(n);
		b.push_back(n + 1);
	}

	

	for (int i = 0; i < a.size(); i++)
		cout << a[i] << " ";
	cout << "\n";

	for (int i = 0; i < b.size(); i++)
		cout << b[i] << " ";
    cout << "\n";

	return 0;
}